import HelloApp.*;
import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;
import org.omg.CORBA.*;

public class HelloClient
{
  static Hello hello;

  public static void main(String args[])
    {
      try{
        // create and initialize the ORB
        ORB orb = ORB.init(args, null);

        // get the root naming context
        org.omg.CORBA.Object objRef = 
            orb.resolve_initial_references("NameService");
        // Use NamingContextExt instead of NamingContext. This is 
        // part of the Interoperable naming Service.  
        NamingContextExt ncRef = NamingContextExtHelper.narrow(objRef);
 
        // resolve the Object Reference in Naming
        String name = "Hello";
        hello = HelloHelper.narrow(ncRef.resolve_str(name));

        System.out.println(hello.say( ));
	System.out.println(hello.add("Here is added information!!!"));

        } catch (Exception e) {
          System.err.println("ERROR : " + e) ;
          e.printStackTrace(System.out);
        }
   }
}
